@charset "UTF-8";
/*companyページ
--------------------------------*/
.p-company .js-anim:not(.is-complete) {
  translate: 0 4rem;
  opacity: 0;
}
.p-company .js-anim.is-complete {
  transition: 0.6s all ease-in-out;
}

.p-company-read {
  margin-bottom: 17rem;
}
.p-company-read__text {
  max-width: 110rem;
  margin: 0 auto;
}
.p-company-read__text p {
  font-size: 1.6rem;
  font-weight: 500;
  letter-spacing: 0.1em;
  line-height: 3;
}
@media screen and (max-width: 768px) {
  .p-company-read {
    margin-bottom: 12rem;
  }
  .p-company-read__text {
    padding: 0 2.8rem;
  }
  .p-company-read__text p {
    font-size: 1.5rem;
    line-height: 2.8;
  }
}

.p-company-contents {
  position: relative;
  display: flex;
  justify-content: space-between;
}
.p-company-contents__item {
  width: 100%;
  max-width: 26.3rem;
}
.p-company-contents__item h2 {
  margin-bottom: 6rem;
  font-size: 2.4rem;
  font-weight: bold;
  letter-spacing: 0.05em;
}
.p-company-contents__item h2 .en {
  font-size: 1rem;
  font-weight: 500;
  letter-spacing: 0.1em;
}
.p-company-contents__item p {
  font-size: 1.4rem;
  font-weight: 500;
  letter-spacing: 0.1em;
  line-height: 2;
  margin-bottom: 6rem;
}

.p-company-contents__item:nth-child(1) {
  margin-left: 13.3rem;
}
.p-company-contents__item:nth-child(2) {
  margin-right: 13.3rem;
}

@media screen and (min-width: 769px) {
  .p-company-contents::before {
    content: "";
    position: absolute;
    width: 68.3rem;
    height: calc(100% + 8.2rem + 14.6rem);
    top: -8.2rem;
    opacity: 0;
    transition: opacity 0.3s;
  }
  .p-company-contents.is-info::before {
    opacity: 1;
    left: 0;
    border-radius: 0 24.7rem 24.7rem 0;
    background: #f7f7fa;
  }
  .p-company-contents.is-philosophy::before {
    opacity: 1;
    right: 0;
    border-radius: 24.7rem 0 0 24.7rem;
    background: #f7f7fa;
  }
  .p-company-contents__img {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;

    width: 21rem;
    transition: width 0.5s cubic-bezier(0.22, 1, 0.36, 1);
  }

  .p-company-contents__img.is-expand {
    width: 34rem;
  }

  .p-company-contents__img figure {
    position: absolute;
    inset: 0;
    opacity: 0;
    transition: opacity 0.4s ease;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .p-company-contents__img figure.is-active {
    opacity: 1;
  }
}

@media screen and (max-width: 768px) {
  .p-company-contents {
    display: block;
    padding: 0 2.8rem 3.5rem;
  }
  .p-company-contents__item {
    max-width: inherit;
    padding-top: 31.6rem;
  }
  .p-company-contents__item h2 {
    margin-bottom: 4rem;
  }

  .p-company-contents__item:nth-child(1) {
    margin-left: 0;
    margin-bottom: 11.7rem;
  }
  .p-company-contents__item:nth-child(2) {
    margin-right: 0;
  }

  .p-company-contents__img {
    position: absolute;
    top: 0;
    left: 4rem;
    width: 37.6rem;
    height: 100%;
    pointer-events: none;
  }
  .p-company-contents__img figure {
    position: absolute;
  }
  .p-company-contents__img figure[data-link="default"] {
    display: none;
  }
  .p-company-contents__img figure[data-link="info"] {
    top: 0;
  }
  .p-company-contents__img figure[data-link="philosophy"] {
    top: 70rem;
  }
}

.p-company-link__inner {
  max-width: 110rem;
  margin: 0 auto;
  position: absolute;
  width: 100%;
  left: 0;
  right: 0;
  z-index: 11;
  padding-top: 6rem;
}
.p-company-link__inner h2 {
  font-size: 2.4rem;
  font-weight: bold;
  letter-spacing: 0.05em;
  margin-bottom: 4rem;
}
.p-company-link__text {
  max-width: 26.3rem;
  margin: 0 auto;
  color: #fff;
}
.p-company-link__text p {
  font-size: 1.4rem;
  font-weight: 500;
  letter-spacing: 0.1em;
  line-height: 2;
}
.p-company-link__text .c-btn-detail {
  color: #fff;
  border-color: #fff;
  margin-top: 4rem;
}
.p-company-link__text .c-btn-detail::after {
  filter: brightness(500);
}
.p-company-link__inner .c-btn-icon {
  margin: 6rem 0 0 auto;
}
.p-company-link .p-home-company__img__mask {
  width: 62.1rem;
  height: 50.2rem;
  left: 50%;
  transform: translateX(-50%);
  z-index: 10;
}

.p-company-link .p-home-company__img__mask,
.p-company-link .p-home-company__img__mask img {
  animation: none;
}
@media screen and (max-width: 768px) {
  .p-company-link {
    padding-bottom: 19.2rem;
  }
  .p-company-link__inner {
    padding: 0 2.8rem;
    margin-top: -2.8rem;
  }
  .p-company-link__inner h2 {
    text-align: right;
    font-size: 2.2rem;
    line-height: 2;
    margin-bottom: 6.3rem;
  }
  .p-company-link__inner .c-btn-icon {
    margin: 18rem auto 0;
  }
  .p-company-link .p-home-company__img__mask {
    width: 46.1rem;
    height: 37.3rem;
  }
  .p-company-link .p-home-company__img__txt__inner:nth-of-type(1) {
    position: absolute;
    top: -10rem;
  }
  .p-company-link .p-home-company__img__txt__inner:nth-of-type(2) {
    position: absolute;
    bottom: 8rem;
    animation: 30s mvNews infinite linear -10s;
  }
  .p-company-link .p-home-company__img__txt__inner .txt {
    font-size: 13.1rem;
  }

  .p-company-link .p-home-company__img__txt__inner .txt:nth-of-type(1)::after {
    width: 7rem;
    inset: 5.5rem 3.5rem auto auto;
  }
  .p-company-link .p-home-company__img__txt__inner .txt:nth-of-type(2)::after {
    width: 6.5rem;
    inset: 5.5rem 3.5rem auto auto;
  }
}
